package org.seasar.dao.impl;

import javax.sql.DataSource;

import org.seasar.dao.BeanMetaData;
import org.seasar.extension.jdbc.CallableStatementFactory;

/**
 * @author higa
 *  
 */
public class InsertAutoStaticCommand extends AbstractAutoStaticCommand {

	public InsertAutoStaticCommand(DataSource dataSource,
			CallableStatementFactory callableStatementFactory,
			BeanMetaData beanMetaData, String[] propertyNames) {

		super(dataSource, callableStatementFactory, beanMetaData, propertyNames);
	}

	protected AbstractAutoHandler createAutoHandler() {
		return new InsertAutoHandler(getDataSource(),
				getCallableStatementFactory(), getBeanMetaData(),
				getPropertyTypes());
	}

	protected void setupSql() {
		setupInsertSql();
	}

	protected void setupPropertyTypes(String[] propertyNames) {
		setupInsertPropertyTypes(propertyNames);

	}
}